Subject: bug#16214: Consistency in dired-, occur-, and grep-mode

From: Tak Kunihiro <[email-masked]>
Date: Thu, 10 Feb 2022 18:26:48 +0900 (JST)

>> I highly sympathize with your attempts to make keybindings consistent,
>> but please note that some existing keybindings can't be changed for
>> historical reasons.  For example, `v' in Dired opens a file in view mode,
>> so often I type `v' in vc-dir, but it registers the file in version
>> control instead of opening in view mode.  I have no idea how to avoid
>> this inconsistency.
> 
> Individual users are free to rebind these as they wish, of course, and
> somebody properly motivated could make an ELPA package to unify these
> bindings, ...

I agree. I have configured mine and I am satisfied with it.  However,
I remember now, how hard it was.  As context menu was introduced, it
is good for Emacs to be friendly.

To have an ELPA package to offer a minor mode to offer consistent key
bindings is a good idea.

How about listing this project to (info "(emacs) Contributing")?